import cn.hutool.core.io.FileUtil;
import com.chakracoin.shsm.logiclayer.BCECUtil;
import com.chakracoin.shsm.util.Util;
import org.bouncycastle.jce.provider.BouncyCastleProvider;

import java.io.File;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.Security;
import java.security.spec.InvalidKeySpecException;

/**
 * @Author：Cheney
 * @Date：2023/7/31 15:48
 */
public class Test {
    static {
        Security.addProvider(new BouncyCastleProvider());
    }

    public static void main(String[] args) throws NoSuchAlgorithmException, InvalidKeySpecException, NoSuchProviderException {




        String file = "C:\\Users\\Cheney\\weixin\\WeChat Files\\channe-wong\\FileStorage\\File\\2023-07\\KeyPair(1).txt";
//        String file = "D:\\chakracoin\\sHSM\\target\\ec.pkcs8.pri.der";

        byte[] d = FileUtil.readBytes(new File(file));

        System.out.println("hex=" + Util.bytes2HexString( d ));
        byte []d2 = new byte[d.length -1];
        System.arraycopy( d, 0, d2, 0 , d2.length );
        System.out.println("hex=" + Util.bytes2HexString( d2 ));
        BCECUtil.convertPKCS8ToECPrivateKey(d2);
        System.out.println("over");

    }
}
